PyICQt ejabberd ICQ Transport

Dieses Thema im Forum "Debian/Ubuntu/Knoppix" wurde erstellt von Muling, 19.04.2009.

  1. Muling

    Muling Doppel-As

    Dabei seit:
    07.01.2008
    Beiträge:
    124
    Zustimmungen:
    0
    Ort:
    Luxemburg
    Hallo allerseits,

    Ich habe neulich von Debian Etch auf Lenny geupgradet. Seit dem startet PyICQt nicht mehr. Wenn ich es starten will quittiert es seinen Dienst mit:
    Code:
    Unable to find a reactor.
    Exiting...
    Ich muß dazu sagen dass während dem Upgrade auch Python, auf dem das PyICQT basiert, geupgradet wurde. Von 2.4 auf 2.5.2. Wahrscheinlich liegts daran. Da ich kein Python Guru bin kann ich das schwer sagen.

    Sollte ich vielleicht besser wieder auf 2.4 downgraden? Ich werd jetzt mal das Changelog lesen..

    Danke für eure Hilfe, Muling
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 foobarflu, 19.04.2009
    foobarflu

    foobarflu Foren As

    Dabei seit:
    21.12.2003
    Beiträge:
    79
    Zustimmungen:
    0
    twisted upgraden? Das ist definitiv ne Fehlermeldung aus der Ecke.
     
  4. #3 Muling, 19.04.2009
    Zuletzt bearbeitet: 19.04.2009
    Muling

    Muling Doppel-As

    Dabei seit:
    07.01.2008
    Beiträge:
    124
    Zustimmungen:
    0
    Ort:
    Luxemburg
    Danke für den Tip, werd ich gleich mal nachsehn.
    .
    .
    .
    EDIT (autom. Beitragszusammenführung) :
    .

    Jetzt wirds haarig:

    Ich hab mal twisted removed und wollte es wieder installieren und dann das:
    Code:
    cl-t116-190cl:/# apt-get install python-twisted
    Paketlisten werden gelesen... Fertig
    Abh�ngigkeitsbaum wird aufgebaut
    Lese Status-Informationen ein... Fertig
    python-twisted ist schon die neueste Version.
    Die folgenden Pakete wurden automatisch installiert und werden nicht l�nger ben�tigt:
      python2.4-minimal python2.4
    Verwenden Sie �apt-get autoremove�, um sie zu entfernen.
    0 aktualisiert, 0 neu installiert, 0 zu entfernen und 1 nicht aktualisiert.
    12 nicht vollst�ndig installiert oder entfernt.
    Nach dieser Operation werden 0B Plattenplatz zus�tzlich benutzt.
    Richte python-twisted-core ein (8.1.0-4) ...
    Could not find platform independent libraries <prefix>
    Could not find platform dependent libraries <exec_prefix>
    Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
    'import site' failed; use -v for traceback
    Traceback (most recent call last):
      File "/usr/bin/py_compilefiles", line 3, in ?
        import os
    ImportError: No module named os
    pycentral: pycentral pkginstall: error byte-compiling files (448)
    pycentral pkginstall: error byte-compiling files (448)
    dpkg: Fehler beim Bearbeiten von python-twisted-core (--configure):
     Unterprozess post-installation script gab den Fehlerwert 1 zur�ck
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-conch:
     python-twisted-conch h�ngt ab von python-twisted-core (>= 8.1); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-conch (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-mail:
     python-twisted-mail h�ngt ab von python-twisted-core (>= 8.0); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-mail (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-web:
     python-twisted-web h�ngt ab von python-twisted-core (>= 8.1); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-web (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-lore:
     python-twisted-lore h�ngt ab von python-twisted-web (>= 8.0); aber:
      Paket python-twisted-web ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-lore (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-names:
     python-twisted-names h�ngt ab von python-twisted-core (>= 8.1); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-names (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-news:
     python-twisted-news h�ngt ab von python-twisted-core (>= 8.1); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-news (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-runner:
     python-twisted-runner h�ngt ab von python-twisted-core (>= 8.0); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-runner (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-words:
     python-twisted-words h�ngt ab von python-twisted-core (>= 8.1); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-words (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted:
     python-twisted h�ngt ab von python-twisted-core (>= 8.1); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-conch (>= 1:8.1); aber:
      Paket python-twisted-conch ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-mail (>= 8.1); aber:
      Paket python-twisted-mail ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-lore (>= 8.1); aber:
      Paket python-twisted-lore ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-names (>= 8.1); aber:
      Paket python-twisted-names ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-news (>= 8.1); aber:
      Paket python-twisted-news ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-runner (>= 8.0); aber:
      Paket python-twisted-runner ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-web (>= 8.1); aber:
      Paket python-twisted-web ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-words (>= 8.1); aber:
      Paket python-twisted-words ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von pymsnt:
     pymsnt h�ngt ab von python-twisted; aber:
      Paket python-twisted ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von pymsnt (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    Richte python-serial ein (2.3-1) ...
    Could not find platform independent libraries <prefix>
    Could not find platform dependent libraries <exec_prefix>
    Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
    'import site' failed; use -v for traceback
    Traceback (most recent call last):
      File "/usr/bin/py_compilefiles", line 3, in ?
        import os
    ImportError: No module named os
    pycentral: pycentral pkginstall: error byte-compiling files (7)
    pycentral pkginstall: error byte-compiling files (7)
    dpkg: Fehler beim Bearbeiten von python-serial (--configure):
     Unterprozess post-installation script gab den Fehlerwert 1 zur�ck
    Fehler traten auf beim Bearbeiten von:
     python-twisted-core
     python-twisted-conch
     python-twisted-mail
     python-twisted-web
     python-twisted-lore
     python-twisted-names
     python-twisted-news
     python-twisted-runner
     python-twisted-words
     python-twisted
     pymsnt
     python-serial
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    cl-t116-190cl:/#   
    Ich werd dann mal mit apt streiten. Allerdings will ich python nicht runterschmeißen denn ich habe viele Abhängigkeiten damit. ..Mal sehn.

    Edit: Ich blicke da noch nicht wirklich durch. Ich werd mich wohl in Python (Twisted) einarbeiten müssen. Für nen Tipp bin ich allerdings sehr sehr dankbar.

    Gruß, Muling
     
  5. #4 Goodspeed, 19.04.2009
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Code:
    0 aktualisiert, 0 neu installiert, 0 zu entfernen und 1 nicht aktualisiert.
    [B]12 nicht vollständig[/B] installiert oder entfernt.
    
    Da scheint ja noch einiges schief zu stehen.

    Was will apt denn bei einem
    Code:
    apt-get install -f
    
    treiben?
     
  6. Muling

    Muling Doppel-As

    Dabei seit:
    07.01.2008
    Beiträge:
    124
    Zustimmungen:
    0
    Ort:
    Luxemburg
    Ach ja, hatte ich vergessen zu posten. Leider ist dabei auch nix rausgekommen. :-(
    Code:
    cl-t116-190cl:/home/muling# apt-get install -f
    Paketlisten werden gelesen... Fertig
    Abh�ngigkeitsbaum wird aufgebaut
    Lese Status-Informationen ein... Fertig
    Die folgenden Pakete wurden automatisch installiert und werden nicht l�nger ben�tigt:
      python2.4-minimal python2.4
    Verwenden Sie �apt-get autoremove�, um sie zu entfernen.
    0 aktualisiert, 0 neu installiert, 0 zu entfernen und 1 nicht aktualisiert.
    11 nicht vollst�ndig installiert oder entfernt.
    Nach dieser Operation werden 0B Plattenplatz zus�tzlich benutzt.
    Richte python-serial ein (2.3-1) ...
    Could not find platform independent libraries <prefix>
    Could not find platform dependent libraries <exec_prefix>
    Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
    'import site' failed; use -v for traceback
    Traceback (most recent call last):
      File "/usr/bin/py_compilefiles", line 3, in ?
        import os
    ImportError: No module named os
    Traceback (most recent call last):
      File "/usr/bin/pycentral", line 1891, in <module>
        main()
      File "/usr/bin/pycentral", line 1885, in main
        rv = action.run(global_options)
      File "/usr/bin/pycentral", line 1263, in run
        self.options.exclude, byte_compile_default=True)
      File "/usr/bin/pycentral", line 880, in install
        rt.byte_compile(linked_files, bc_option, exclude_regex, ignore_errors)
      File "/usr/bin/pycentral", line 175, in byte_compile
        fd.write(fn + '\n')
    IOError: [Errno 32] Broken pipe
    dpkg: Fehler beim Bearbeiten von python-serial (--configure):
     Unterprozess post-installation script gab den Fehlerwert 1 zur�ck
    Richte python-twisted-core ein (8.1.0-4) ...
    Could not find platform independent libraries <prefix>
    Could not find platform dependent libraries <exec_prefix>
    Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
    'import site' failed; use -v for traceback
    Traceback (most recent call last):
      File "/usr/bin/py_compilefiles", line 3, in ?
        import os
    ImportError: No module named os
    pycentral: pycentral pkginstall: error byte-compiling files (448)
    pycentral pkginstall: error byte-compiling files (448)
    dpkg: Fehler beim Bearbeiten von python-twisted-core (--configure):
     Unterprozess post-installation script gab den Fehlerwert 1 zur�ck
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-web:
     python-twisted-web h�ngt ab von python-twisted-core (>= 8.1); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-web (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-lore:
     python-twisted-lore h�ngt ab von python-twisted-web (>= 8.0); aber:
      Paket python-twisted-web ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-lore (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-mail:
     python-twisted-mail h�ngt ab von python-twisted-core (>= 8.0); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-mail (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-names:
     python-twisted-names h�ngt ab von python-twisted-core (>= 8.1); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-names (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-news:
     python-twisted-news h�ngt ab von python-twisted-core (>= 8.1); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-news (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-runner:
     python-twisted-runner h�ngt ab von python-twisted-core (>= 8.0); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-runner (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-words:
     python-twisted-words h�ngt ab von python-twisted-core (>= 8.1); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-words (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted-conch:
     python-twisted-conch h�ngt ab von python-twisted-core (>= 8.1); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted-conch (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    dpkg: Abh�ngigkeitsprobleme verhindern Konfiguration von python-twisted:
     python-twisted h�ngt ab von python-twisted-core (>= 8.1); aber:
      Paket python-twisted-core ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-conch (>= 1:8.1); aber:
      Paket python-twisted-conch ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-mail (>= 8.1); aber:
      Paket python-twisted-mail ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-lore (>= 8.1); aber:
      Paket python-twisted-lore ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-names (>= 8.1); aber:
      Paket python-twisted-names ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-news (>= 8.1); aber:
      Paket python-twisted-news ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-runner (>= 8.0); aber:
      Paket python-twisted-runner ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-web (>= 8.1); aber:
      Paket python-twisted-web ist noch nicht konfiguriert.
     python-twisted h�ngt ab von python-twisted-words (>= 8.1); aber:
      Paket python-twisted-words ist noch nicht konfiguriert.
    dpkg: Fehler beim Bearbeiten von python-twisted (--configure):
     Abh�ngigkeitsprobleme - lasse es unkonfiguriert
    Fehler traten auf beim Bearbeiten von:
     python-serial
     python-twisted-core
     python-twisted-web
     python-twisted-lore
     python-twisted-mail
     python-twisted-names
     python-twisted-news
     python-twisted-runner
     python-twisted-words
     python-twisted-conch
     python-twisted
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    cl-t116-190cl:/home/muling#  
    pycentral scheint da nicht wohl gesonnen. Meinst du es hilft wenn ich doch den ganzen python Kram mal runterschmeisse? Die 12 unkonfigurierten Pakete sind (fast) alle python-twisted Pakete. pymsnt hab ich mal runtergeschmissen weil ich es sowieso nicht benötige. Jetzt sinds noch 11 ;-)

    Gruß, Muling
     
  7. #6 Goodspeed, 19.04.2009
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Ist python, python2.5 und python-minimal installiert?
    Du hast da noch ein nicht aktualisiertes Paket in der Liste ... das irritiert mich ...
     
  8. #7 Muling, 19.04.2009
    Zuletzt bearbeitet: 19.04.2009
    Muling

    Muling Doppel-As

    Dabei seit:
    07.01.2008
    Beiträge:
    124
    Zustimmungen:
    0
    Ort:
    Luxemburg
    Jo, ist schon installiert:
    Code:
    cl-t116-190cl:/home/muling# apt-get install python2.5 python-minimal
    Paketlisten werden gelesen... Fertig
    Abh�ngigkeitsbaum wird aufgebaut
    Lese Status-Informationen ein... Fertig
    python2.5 ist schon die neueste Version.
    python-minimal ist schon die neueste Version.
    Die folgenden Pakete wurden automatisch installiert und werden nicht l�nger ben�tigt:
      python2.4-minimal python2.4
    Verwenden Sie �apt-get autoremove�, um sie zu entfernen.
    0 aktualisiert, 0 neu installiert, 0 zu entfernen und 1 nicht aktualisiert.
    1 nicht vollst�ndig installiert oder entfernt.
    Nach dieser Operation werden 0B Plattenplatz zus�tzlich benutzt.
    Richte python-serial ein (2.3-1) ...
    Could not find platform independent libraries <prefix>
    Could not find platform dependent libraries <exec_prefix>
    Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
    'import site' failed; use -v for traceback
    Traceback (most recent call last):
      File "/usr/bin/py_compilefiles", line 3, in ?
        import os
    ImportError: No module named os
    pycentral: pycentral pkginstall: error byte-compiling files (7)
    pycentral pkginstall: error byte-compiling files (7)
    dpkg: Fehler beim Bearbeiten von python-serial (--configure):
     Unterprozess post-installation script gab den Fehlerwert 1 zur�ck
    Fehler traten auf beim Bearbeiten von:
     python-serial
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    
    Das eine nicht aktualiserte Paket ist dieses:
    Code:
    cl-t116-190cl:/home/muling# apt-get upgrade
    Paketlisten werden gelesen... Fertig
    Abh�ngigkeitsbaum wird aufgebaut
    Lese Status-Informationen ein... Fertig
    Die folgenden Pakete sind zur�ckgehalten worden:
      linux-image-2.6-686
    0 aktualisiert, 0 neu installiert, 0 zu entfernen und 1 nicht aktualisiert.
    Ich habe den Verdacht, wenn ich jetzt apt-get autoremove ausführe hab ich gar kein funktionierendes Python mehr..

    Kernel ist übrigens dieser hier:
    Code:
    cl-t116-190cl:/home/muling# uname -a
    Linux cl-t116-190cl 2.6.26-1-686 #1 SMP Fri Mar 13 18:08:45 UTC 2009 i686 GNU/Linux
    
    Edit: Problem "gelöst". Ich hab mal ein apt-get autoremove gemacht und siehe da - Alles installiert sich anstandslos. PyICQt funktioniert zwar immer noch nicht, allerdings scheint es einfach nicht kompatibel zu sein. Soviel ich weiß wird es nicht mehr weiterentwickelt. :-(

    Jetzt hab ich wenigstens wieder ein brav schnurrendes apt. :-D Danke ihr beiden!
    Gruß, Muling
     
  9. #8 Goodspeed, 19.04.2009
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Versuchs mal mit
    Code:
    apt-get install --reinstall python-twisted-core pyicqt
    
     
  10. Muling

    Muling Doppel-As

    Dabei seit:
    07.01.2008
    Beiträge:
    124
    Zustimmungen:
    0
    Ort:
    Luxemburg
    Funktioniert leider auch nicht. Gibt leider nur eine Python-Fehlermeldung:
    Code:
    Richte pyicqt ein (0.8b-5) ...
    Starting ICQ transport for Jabber: pyicqt/usr/lib/python2.5/site-packages/twisted/internet/default.py:15: DeprecationWarning: twisted.internet.default is deprecated. Use posixbase or selectreactor instead.
      warnings.warn("twisted.internet.default is deprecated. Use posixbase or selectreactor instead.", category=DeprecationWarning)
    Unable to find a reactor.
    Exiting...
     failed!
    
    Vielleicht weiß jemand Rat. Downgraden würd ich jetzt doch eher ungern.

    Gruß, Muling
     
  11. #10 Goodspeed, 20.04.2009
    Zuletzt bearbeitet: 20.04.2009
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Komisch ... grad noch mal in einer VM-Box probiert ... geht ohne Probleme.
    Bringt
    Code:
    dpkg-reconfigure pyicqt
    
    den gleichen Fehler?

    EDIT: Und poste mal die /etc/pyicqt.conf.xml ... zumindest den Teil, der sich auf die reactor-Einträge bezieht ...
     
  12. Muling

    Muling Doppel-As

    Dabei seit:
    07.01.2008
    Beiträge:
    124
    Zustimmungen:
    0
    Ort:
    Luxemburg
    Hallo,

    Das bringt leider auch nix. Genau der gleiche Fehler. - Aber die Idee mit der VM gefällt mir. Ich werde mal ein kleines Lenny installieren und dann die Unterschiede untersuchen. - Danke für den Tip!

    Ob das posten der /etc/pyicqt.conf.xml was bringt bezweifele ich, es sind mittlerweile die Standardeinstellungen. Durch das ganze purgen. Ich habe nur das nötigste verändert..

    Gruß, Muling
     
  13. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  14. #12 foobarflu, 21.04.2009
    foobarflu

    foobarflu Foren As

    Dabei seit:
    21.12.2003
    Beiträge:
    79
    Zustimmungen:
    0
    Der Pfad zur default.py sieht komisch aus... sollte der nicht absolut sein?
    Was liegt in site-packages/twisted/internet rum? Was passiert, wenn Du manuell versuchst, einen reactor zu importieren (python starten, `from twisted.internet import reactor`). Wenn das nicht klappt im twisted-channel auf freenode nachfragen.
     
  15. Muling

    Muling Doppel-As

    Dabei seit:
    07.01.2008
    Beiträge:
    124
    Zustimmungen:
    0
    Ort:
    Luxemburg
    Hallo,

    Der Pfad ist eigentlich absolut, nur wurde da ein Leerzeichen vergessen.
    Starting ICQ transport for Jabber: pyicqt ist nur die "Startinformation". Naja, du weißt was ich meine, so wie bei jedem dienst. :)

    Ich poste mal ein ls des Verzeichnisses /usr/lib/python2.5/site-packages/twisted/internet. Also sorry für die vielen Dateien. ;-)
    Code:
    abstract.py         epollreactor.pyc  _javaserialport.py    process.py         _sslverify.py        udp.pyc
    abstract.pyc        error.py          _javaserialport.pyc   process.pyc        _sslverify.pyc       unix.py
    address.py          error.pyc         kqreactor.py          protocol.py        stdio.py             unix.pyc
    address.pyc         fdesc.py          kqreactor.pyc         protocol.pyc       stdio.pyc            utils.py
    base.py             fdesc.pyc         main.py               pyuisupport.py     task.py              utils.pyc
    base.pyc            glib2reactor.py   main.pyc              pyuisupport.pyc    task.pyc             win32eventreactor.py
    cfreactor.py        glib2reactor.pyc  _pollingfile.py       qtreactor.py       tcp.py               win32eventreactor.pyc
    cfreactor.pyc       gtk2reactor.py    _pollingfile.pyc      qtreactor.pyc      tcp.pyc              _win32serialport.py
    cfsupport           gtk2reactor.pyc   pollreactor.py        reactor.py         test                 _win32serialport.pyc
    default.py          gtkreactor.py     pollreactor.pyc       reactor.pyc        _threadedselect.py   _win32stdio.py
    default.pyc         gtkreactor.pyc    posixbase.py          selectreactor.py   _threadedselect.pyc  _win32stdio.pyc
    defer.py            __init__.py       posixbase.pyc         selectreactor.pyc  threads.py           wxreactor.py
    defer.pyc           __init__.pyc      _posixserialport.py   serialport.py      threads.pyc          wxreactor.pyc
    _dumbwin32proc.py   interfaces.py     _posixserialport.pyc  serialport.pyc     tksupport.py         wxsupport.py
    _dumbwin32proc.pyc  interfaces.pyc    _posixstdio.py        ssl.py             tksupport.pyc        wxsupport.pyc
    epollreactor.py     iocpreactor       _posixstdio.pyc       ssl.pyc            udp.py
    
    Leider weiß ich nicht genau wie man einen reactor importiert, da ich ehrlichgesagt die komplette Python-Null bin. :( Also hab ich einfach mal deinen Python-Befehl ausgeführt. Mit folgender Ausgabe:
    Code:
    cl-t116-190cl:/# python
    Python 2.5.2 (r252:60911, Jan  4 2009, 17:40:26)
    [GCC 4.3.2] on linux2
    Type "help", "copyright", "credits" or "license" for more information.
    >>> from twisted.internet import reactor
    Traceback (most recent call last):
      File "<stdin>", line 1, in <module>
      File "/usr/lib/python2.5/site-packages/twisted/internet/reactor.py", line 11, in <module>
        from twisted.internet import selectreactor
      File "/usr/lib/python2.5/site-packages/twisted/internet/selectreactor.py", line 17, in <module>
        from zope.interface import implements
    ImportError: No module named zope.interface
    >>>
    
    Vielleicht kannst du ja damit was anfangen? Ich werd mich jedenfalls mal auf Freenode begeben, auch wenn meine Python-Kentnisse für einen solchen Channel wohl eher dürftig sind. Also werd ich vorher noch ein wenig RTFM'en. :D

    Gruß, Muling
     
Thema:

PyICQt ejabberd ICQ Transport

Die Seite wird geladen...

PyICQt ejabberd ICQ Transport - Ähnliche Themen

  1. ejabberd mit pyicqt und pymsnt

    ejabberd mit pyicqt und pymsnt: Hi, gestern habe ich mir wieder mein jabber server installiert. dieser funktioniert auch einwandfrei. jid: jabber.sub.example.de msn:...
  2. ejabberd Server neuerdings instabil

    ejabberd Server neuerdings instabil: Hi Leute, ich nutze auf meinem Raspberry Pi [Raspbian Linux wasar 3.10.23+ #608 PREEMPT Mon Dec 9 21:11:23 GMT 2013 armv6l GNU/Linux] einen...
  3. ejabberd: automatische Kontaktliste

    ejabberd: automatische Kontaktliste: Hallo, habe hier ein Ubuntu mit ejabberd 2.0.1-2 laufen. Funktioniert soweit auch schon ganz gut. Nun habe ich vor circa 20 User anzulegen....
  4. ejabberd auf Arch > kein regestrieren möglich

    ejabberd auf Arch > kein regestrieren möglich: Hey. Aus lern zwecken wollte ich mir einfach mal ein jabber server einrichten. Nach ein wenig Googeln hab ich z.b erfahren das ejabberd...